Sites

Read a site

get
Authorizations
AuthenticationstringRequired

Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.

Example of authenticated request

$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
Path parameters
uidstringRequired
remote_idstringOptional

If you choose to identify an object with its remote_id instead of its uid then

  • replace the uid value with the remote_id value in the URL

  • specify lookup_field=remote_id in the query parameters

Query parameters
lookup_fieldstringOptional

Used to specify what field is used in the URL to identify the object you're requesting, e.g. with the remote_id (see path parameters)

Responses
get
/sites/{uid}
200

Get successful

Partially update a site

patch
Authorizations
AuthenticationstringRequired

Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.

Example of authenticated request

$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
Path parameters
uidstringRequired
remote_idstringOptional

If you choose to identify an object with its remote_id instead of its uid then

  • replace the uid value with the remote_id value in the URL

  • specify lookup_field=remote_id in the query parameters

Query parameters
lookup_fieldstringOptional

Used to specify what field is used in the URL to identify the object you're requesting, e.g. with the remote_id (see path parameters)

Body
uidstring · uuidOptionalExample: 687cddac-dbd2-11ea-9024-0242ac130006
remote_idstringOptional

The id of the site in your system

real_startstring · date-timeOptional

date and time when trucker arrived on site

Example: 2020-12-22T15:31:39.26167Z
real_endstring · date-timeOptional

date and time when trucker completed loading / unloading (depending whether site is origin or destination)

Example: 2020-12-22T15:31:39.26167Z
signature_processstringOptionalExample: sign_on_glass
is_booking_neededbooleanOptional
instructionsstring · max: 1000Optional

Site instructions, visible to all parties (trucker, carrier, shipper, site). Displayed in the trucker mobile app. Not visible in the eCMR. If the field is not provided, the address's site instructions will be used.

referencestringOptional
actionstringOptional
etastring | nullableOptional
eta_trackingbooleanOptional
punctuality_statusstringOptional
categorystringOptional
trucker_instructionsstring · max: 1000Optional

This field is part of a beta feature. Private instructions. The carrier of the transport is the only one who can edit and read those instructions. Note that those instructions are not visible in the consignment note and can be accessed by the trucker. The value is null if the caller doesn't have the right of access to the data.

Responses
patch
/sites/{uid}
200

Update successful

Last updated

Was this helpful?